package builtins

import (
	"context"
	"time"
	"ucl.lmika.dev/ucl"
)

func Time() ucl.Module {
	return ucl.Module{
		Name: "time",
		Builtins: map[string]ucl.BuiltinHandler{
			"from-unix": timeFromUnix,
		},
	}
}

func timeFromUnix(ctx context.Context, args ucl.CallArgs) (any, error) {
	var ux int

	if err := args.Bind(&ux); err != nil {
		return nil, err
	}

	return time.Unix(int64(ux), 0).UTC(), nil
}
